<!DOCTYPE html>
<html>
<head>
<title> Pizza 365 v1.9 GUI design </title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
  
  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-warning">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link font-weight-bold" href="#">Trang chủ</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Combo</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">Loại pizza</a>
              </li>
              <li class="nav-item">  <!-- đổi thành dạng click để dễ xử lý-->
                <button id="btn-order-data" class="btn text-secondary" onclick = "onNavOrderDetailClick(this)" > Gửi đơn hàng</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>  
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12 text-warning">
            <h1><b>PIZZA 365</b></h1>
            <p class = "font-italic font-weight-bold">True Italian !</p>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/4.jpg" alt="Forth slide">
                </div>
                
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Tại sao lại Pizza 365 -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom text-warning border-warning">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content Tại sao lại Pizza 365 -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 border border-warning" style="background-color: lightgoldenrodyellow ;">
                <h3 class="p-2">Đa dạng</h3>
                <p class="p-2">Số lượng pizza đa dạng, có đầy đủ các loại pizza đang hot nhất hiện nay.</p>
              </div>
              <div class="col-sm-3 p-4 border border-warning" style="background-color: yellow ;">
                <h3 class="p-2">Chất lượng</h3>
                <p class="p-2">Nguyên liệu sạch 100% rõ nguồn gốc, quy trình chế biến đảm bảo vệ sinh an toàn thực phẩm.</p>
              </div>
              <div class="col-sm-3 p-4 border border-warning" style="background-color: lightsalmon ;">
                <h3 class="p-2">Hương vị</h3>
                <p class="p-2">Đảm bảo hương vị ngon, độc, lạ mà bạn chỉ có thể trải nghiệm từ Pizza 365.</p>
              </div>
              <div class="col-sm-3 p-4 bg-warning border border-warning">
                <h3 class="p-2">Dịch vụ</h3>
                <p class="p-2">Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh chất lượng, tân tiến.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title Chọn size pizza -->
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-1 border-bottom border-warning">Chọn size pizza</b></h2>
            <p><span class="p-2 small">Hãy chọn combo pizza phù hợp với nhu cầu của bạn.</span></p>
          </div>
          <!-- Content Chọn size pizza -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header text-center" style="background-color:orange ;">
                    <h3>S (small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính:<b> 20cm</b> </li>
                      <li class="list-group-item">Sườn nướng:<b> 2</b></li>
                      <li class="list-group-item">Salad:<b> 200g</b></li>
                      <li class="list-group-item">Nước ngọt:<b> 2</b></li>
                      <li class="list-group-item"><h2><b> 150.000</b></h2>VNĐ</li>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-select-small" class="btn btn-warning w-100 font-weight-bold" data-is-selected-menu = "N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-warning text-center">
                    <h3>M (medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính:<b> 25cm</b> </li>
                      <li class="list-group-item">Sườn nướng:<b> 4</b></li>
                      <li class="list-group-item">Salad:<b> 300g</b></li>
                      <li class="list-group-item">Nước ngọt:<b> 3</b></li>
                      <li class="list-group-item"><h2><b> 200.000</b></h2>VNĐ</li>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-select-medium" class="btn btn-warning w-100 font-weight-bold" data-is-selected-menu = "N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header text-center" style="background-color:orange ;">
                    <h3>L (large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính:<b> 30cm</b> </li>
                      <li class="list-group-item">Sườn nướng:<b> 8</b></li>
                      <li class="list-group-item">Salad:<b> 500g</b></li>
                      <li class="list-group-item">Nước ngọt:<b> 4</b></li>
                      <li class="list-group-item"><h2><b> 250.000</b></h2>VNĐ</li>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-select-large" class="btn btn-warning w-100 font-weight-bold" data-is-selected-menu = "N">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Chọn loại Pizza -->
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-2 border-bottom border-warning">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content chọn loại pizza -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/seafood.jpg" class="card-img-top">
                  <div class="card-body">
                    <h4>OCEAN MANIA</h4>
                    <p>PIZZA HẢI SẢN SỐT MAYONNAISE</p>
                    <p>Sốt Cà Chua, Phô Mai Mozzarella, Tôm, Mực, Thanh Cua, Hành Tây.</p>
                    <p><button id="btn-select-hawai" class="btn btn-warning w-100 font-weight-bold"  data-is-selected-pizza = "N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/hawaiian.jpg" class="card-img-top">
                  <div class="card-body">
                    <h4>HAWAIIAN</h4>
                    <p>PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                    <p>Sốt Cà Chua, Phô Mai Mozzarella, Thịt Dăm Bông, Thơm.
                    </p>
                    <p><button id="btn-select-hai-san" class="btn btn-warning w-100 font-weight-bold"  data-is-selected-pizza = "N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/bacon.jpg" class="card-img-top">
                  <div class="card-body">
                    <h4>CHEESY CHICKEN BACON</h4>
                    <p>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                    <p>Sốt Phô Mai, Thịt Gà, Thịt Heo Muối, Phô Mai Mozzarella, Cà Chua.</p>
                    <p><button id="btn-select-thit-nuong" class="btn btn-warning w-100 font-weight-bold"  data-is-selected-pizza = "N">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!--Task27.50: Thêm lựa chọn đồ uống-->
        <div id="drink" class="row">
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-2 border-bottom border-warning">Chọn đồ uống</b></h2>
          </div>
          <div class="col-sm-12">
            <select id="select-drink" class="form-control">
              <option value="0">Tất cả loại nước uống</option>
            </select>
          </div>
        </div>
        
        <div id="contact" class="row">
          <!-- Title Thông tin đơn hàng -->
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-2 border-bottom border-warning">Gửi đơn hàng</b></h2>
          </div>

          <!-- Content Thông tin đơn hàng -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Nhập tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Nhập email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Số điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Nhập số điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Mã giảm giá</label>
                  <input type="text" class="form-control" id="inp-voucher-id" placeholder="Nhập mã giảm giá">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Nhập lời nhắn">
                </div>
                <button id = "btn-kiem-tra-don" type="button" class="font-weight-bold btn btn-warning w-100">Gửi</button>
              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none;">
            <div id="div-order-infor" class="text-white p-3">...</div>
            <div class="p-2">
              <button id = "btn-gui-don" type="button" class="btn btn-warning w-100">Gửi đơn</button>
            </div>
          </div>
          <!-- vùng hiển thị lời cảm ơn -->
          <div id="div-container-thank-you" class="container bg-warning p-2 jumbotron" style="display: none;">
            <div class="p-3">Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:</div> 
            <div class="p-3 row">
              <label class = "col-sm-3" for="order-code-output">Mã đơn hàng</label>
              <p class = "text-center border" id="order-code-output">...</p>
            </div>           
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-warning p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
          <p class = "small font-weight-bold">Powered by DEVCAMP</p>
        </div>
      </div>
    </div>
  </div>
</body>
  
<script>
"use strict";
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */ 
// các combo Pizza
const gCOMBO_SMALL = "small";
const gCOMBO_MEDIUM = "medium";
const gCOMBO_LARGE = "large";
//các loại pizza
const gHAWAI = "hawaii";
const gHAI_SAN = "seafood";
const gTHIT_NUONG = "bacon";

const gREQUEST_STATUS_OK = 200; // GET & PUT success
const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
$("#btn-select-small").click(function(){
  changeComboButtonColor(gCOMBO_SMALL);
  var vSelectedCombo = getCombo("small","20cm",2,"200g",2,150000);
  vSelectedCombo.displayInConsoleLog();
})
$("#btn-select-medium").click(function(){
  changeComboButtonColor(gCOMBO_MEDIUM);
  var vSelectedCombo = getCombo("medium","25cm",4,"300g",3,200000);
  vSelectedCombo.displayInConsoleLog();
})
$("#btn-select-large").click(function(){
  changeComboButtonColor(gCOMBO_LARGE);
  var vSelectedCombo = getCombo("large","30cm",8,"500g",4,250000);
  vSelectedCombo.displayInConsoleLog();
})
$("#btn-select-hawai").click(function(){
  changePizzaButtonColor(gHAWAI);
  console.log("Pizza Hawai");
})
$("#btn-select-hai-san").click(function(){
  changePizzaButtonColor(gHAI_SAN);
  console.log("Pizza Hải sản");
})
$("#btn-select-thit-nuong").click(function(){
  changePizzaButtonColor(gTHIT_NUONG);
  console.log("Pizza Thịt nướng");
})
//Task27.50
$(document).ready(function(){
  getDrinkList();
})
//Task27.70
$("#btn-kiem-tra-don").click(function(){
  //khai báo biến lưu thông tin đặt hàng
  var vThongTinDatHangObj = {
      combo: null,
      pizza: null,
      drink: null,
      hoVaTen:"",
      email: "",
      phone: "",
      address: "",
      message: "",
      code: "",
      giamGia: 0,
      priceActualVND : function(){
        return this.combo.VND * (1 - this.giamGia/100);
      },
      displayInConsoleLog(){
        console.log("%cĐƠN HÀNG - đơn hàng đã xác nhận..........", "color:blue");
        console.log(this.combo);  //this = "đối tượng này"
        console.log("Loại pizza: " + this.pizza);
        console.log("Loại nước uống: " + this.drink);
        console.log("Họ và tên: " + this.hoVaTen);
        console.log("Emails: " + this.email); 
        console.log("Điện thoại: " + this.phone);
        console.log("Địa chỉ:" + this.address);
        console.log("Lời nhắn: " + this.message);
        console.log("Mã giảm giá: " + this.code);
        console.log("Phần trăm giảm giá: " + this.giamGia + "%");
        console.log("Giá phải thanh toán:" + "VND" + this.priceActualVND());
      }
    };
  kiemTraDonHang(vThongTinDatHangObj);
})
//Task27.80
$("#btn-gui-don").click(function(){
//khai báo biến lưu thông tin đơn hàng xác nhận
var vOrderRequestObj = {
  kichCo:"",
  duongKinh:"",
  suon:"",
  salad:"",
  loaiPizza:"",
  idVourcher:"",
  idLoaiNuocUong:"",
  soLuongNuoc:"",
  hoTen:"",
  thanhTien:"",
  email:"",
  soDienThoai:"",
  diaChi:"",
  loiNhan:""
}
  //b1: đọc dữ liệu
  dataReadOrderRequest(vOrderRequestObj);
  console.log(vOrderRequestObj);
  //b2: kiểm tra dữ liệu - bỏ qua vì đã hiện form nghĩa là data đã hợp lệ
  var vXmlHttpCreateOrder = new XMLHttpRequest();
  //b3: gọi Api
  goiApiCreateOrder (vOrderRequestObj,vXmlHttpCreateOrder);
  //b4: xử lý hiển thị
  vXmlHttpCreateOrder.onreadystatechange = function () {
    if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS) { // status 201 tao thanh cong
      displayCreatedOrder(vXmlHttpCreateOrder);    
    }    
  }
});
/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  //Xử lý sự kiện Kiểm tra đơn hàng
  function kiemTraDonHang(paramThongTinDatHangObj){
    readData(paramThongTinDatHangObj);
    var vCheck = validateDataOrder(paramThongTinDatHangObj);
    if (vCheck){
    displayData(paramThongTinDatHangObj);}
    return paramThongTinDatHangObj; //trả lại đối tượng chứa thông tin đặt hàng
  }
  
/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
//function trả lại một đối tượng combo (menu) được tham số 
function getCombo(paramCombo, paramDuongKinh, paramSuonNuong, paramSalad, paramNuocNgot, paramVND){
    var vSelectedCombo = {  //Đối tượng: combo được chọn
      comboName: paramCombo,//combo = menu small/medium/large
      duongKinh: paramDuongKinh,   
      suongNuong: paramSuonNuong,
      salad: paramSalad,
      nuocNgot: paramNuocNgot,
      VND: paramVND,
      // method display combo infor - phương thức hiện menu combo được chọn 
      displayInConsoleLog() {
        console.log("%cCombo SELECTED - combo được chọn..........", "color:blue");
        console.log(this.comboName);  //this = "đối tượng này"
        console.log("Đường kính: " + this.duongKinh);
        console.log("Sườn nướng: " + this.suongNuong); 
        console.log("Salad: " + this.salad);
        console.log("Nước ngọt:" + this.nuocNgot);
        console.log("VND: " + this.VND);
      }
    }
    return vSelectedCombo;  //trả lại đối tượng, có đủ dữ liệu (attribute) và các methods (phương thức)
  }
// đổi combo phù hợp
  //1. đổi màu button (sign-up) để phân biện gói được chọn
  //2. đổi thuộc tính data-is-selected phù hợp cho từng nút
  function changeComboButtonColor(paramCombo) {
    var vBtnSmall = document.getElementById("btn-select-small");  // truy vấn nút combo small (sign - up)
    var vBtnMedium = document.getElementById("btn-select-medium"); //truy vấn nút gói basic (sign - up)
    var vBtnLarge = document.getElementById("btn-select-large"); //truy vấn nút gói premium (sign - up)
    
    if (paramCombo === gCOMBO_SMALL) {  //nếu chọn small thì thay màu nút small bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
        // code đổi màu 3 nút, khi gói pro được chọn, 
        // đổi giá trị data-is-selected
      vBtnSmall.className = "btn btn-warning";
      vBtnSmall.setAttribute("data-is-selected-menu","Y");
      
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu","N");

      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu","N");
    }
    else if (paramCombo === gCOMBO_MEDIUM) {  //nếu chọn Medium thì thay màu nút Basic bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      vBtnSmall.className = "btn btn-success";
      vBtnSmall.setAttribute("data-is-selected-menu","N");
      
      vBtnMedium.className = "btn btn-warning";
      vBtnMedium.setAttribute("data-is-selected-menu","Y");

      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu","N");
    } 
    else if (paramCombo === gCOMBO_LARGE) { //nếu chọn Large thì thay màu nút Premium bàng màu cam, hai nút kia xanh
      // code đổi màu 3 nút, khi gói large được chọn, 
      // đổi giá trị data-is-selected
      vBtnSmall.className = "btn btn-success";
      vBtnSmall.setAttribute("data-is-selected-menu","N");
      
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu","N");

      vBtnLarge.className = "btn btn-warning";
      vBtnLarge.setAttribute("data-is-selected-menu","Y");
    }
  }
// đổi pizza phù hợp
  //1. đổi màu button (sign-up) để phân biện loại pizza được chọn
  //2. đổi thuộc tính data-is-selected phù hợp cho từng nút
  function changePizzaButtonColor(paramPizza) {
    var vBtnHawai = document.getElementById("btn-select-hawai");  // truy vấn nút combo small (sign - up)
    var vBtnHaiSan = document.getElementById("btn-select-hai-san"); //truy vấn nút gói basic (sign - up)
    var vBtnThitNuong = document.getElementById("btn-select-thit-nuong"); //truy vấn nút gói premium (sign - up)
    
    if (paramPizza === gHAWAI) {  //nếu chọn Hawai thì thay màu nút Gà bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // code đổi màu 3 nút, khi gói Hawai được chọn, 
      // đổi giá trị data-is-selected
      vBtnHawai.className = "btn btn-warning w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza","Y");
      
      vBtnHaiSan.className = "btn btn-success w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza","N");

      vBtnThitNuong.className = "btn btn-success w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza","N");
    }
    else if (paramPizza === gHAI_SAN) {  //nếu chọn Hải sản thì thay màu nút Hải sản bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      vBtnHawai.className = "btn btn-success w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza","N");
      
      vBtnHaiSan.className = "btn btn-warning w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza","Y");

      vBtnThitNuong.className = "btn btn-success w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza","N");
    } 
    else if (paramPizza === gTHIT_NUONG) { //nếu chọn Thịt nướng thì thay màu nút Thịt nướng bàng màu cam, hai nút kia xanh
      // code đổi màu 3 nút, khi gói Thịt nướng được chọn, 
      // đổi giá trị data-is-selected
      vBtnHawai.className = "btn btn-success w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza","N");
      
      vBtnHaiSan.className = "btn btn-success w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza","N");

      vBtnThitNuong.className = "btn btn-warning w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza","Y");
    }
  }
//Get drinklist khi tải trang
function getDrinkList(){
    "use strict";
    var vBASE_URL ="http://203.171.20.210:8080/devcamp-pizza365/drinks";
    var vXhttp = new XMLHttpRequest();
    vXhttp.open("GET", vBASE_URL, true);
    vXhttp.send();
    vXhttp.onreadystatechange = function() {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
          var vDrinkListObj = JSON.parse(vXhttp.responseText);
          //truy xuất phần tử Select
          var vDrinkSelect = document.getElementById("select-drink");
          //thêm option vào select element
          var vIndex = 0;
          while (vIndex < vDrinkListObj.length){
            var vOptionDrink = document.createElement("option");
            vOptionDrink.value = vDrinkListObj[vIndex].maNuocUong;
            vOptionDrink.text = vDrinkListObj[vIndex].tenNuocUong;
            vDrinkSelect.add(vOptionDrink);
            vIndex++;
          }
        }
    };
  }
//hàm đọc thông tin đặt hàng và gán vào 1 object
function readData(paramThongTinDatHangObj){
    var vSelectS = document.getElementById("btn-select-small");
    var vSelectM = document.getElementById("btn-select-medium");
    var vSelectL = document.getElementById("btn-select-large");
    var vSelectHawai = document.getElementById("btn-select-hawai");
    var vSelectSeafood = document.getElementById("btn-select-hai-san");
    var vSelectBacon = document.getElementById("btn-select-thit-nuong");
    var vSelectedDrink = document.getElementById("select-drink");
    var vNameInput = document.getElementById("inp-fullname");
    var vEmailInput = document.getElementById("inp-email");
    var vPhoneInput = document.getElementById("inp-dien-thoai");
    var vAddressInput = document.getElementById("inp-dia-chi");
    var vMessageInput = document.getElementById("inp-message");
    var vCodeInput = document.getElementById("inp-voucher-id");
    paramThongTinDatHangObj.hoVaTen = vNameInput.value;
    paramThongTinDatHangObj.email = vEmailInput.value;
    paramThongTinDatHangObj.phone = vPhoneInput.value;
    paramThongTinDatHangObj.address = vAddressInput.value;
    paramThongTinDatHangObj.message = vMessageInput.value;
    paramThongTinDatHangObj.code = vCodeInput.value;
    if (vSelectS.getAttribute("data-is-selected-menu") == "Y"){
      var vSelectedCombo = getCombo("small","20cm",2,"200g",2,150000);    
    }
    if (vSelectM.getAttribute("data-is-selected-menu") == "Y"){
      var vSelectedCombo = getCombo("medium","25cm",4,"300g",3,200000);
    }
    if (vSelectL.getAttribute("data-is-selected-menu") == "Y"){
      var vSelectedCombo = getCombo("large","30cm",8,"500g",4,250000);
    }
    if (vSelectHawai.getAttribute("data-is-selected-pizza") == "Y"){
      var vSelectedPizza = gHAWAI;
    }
    if (vSelectSeafood.getAttribute("data-is-selected-pizza") == "Y"){
      var vSelectedPizza = gHAI_SAN;
    }
    if (vSelectBacon.getAttribute("data-is-selected-pizza") == "Y"){
      var vSelectedPizza = gTHIT_NUONG;
    }
  paramThongTinDatHangObj.combo = vSelectedCombo;
  paramThongTinDatHangObj.pizza = vSelectedPizza;
  paramThongTinDatHangObj.drink = vSelectedDrink.value;
  var vVoucherId = document.getElementById("inp-voucher-id").value.trim();
  if (vVoucherId !== ""){
    var vVoucherObj = checkVoucher(paramThongTinDatHangObj.code); //gọi hàm tính kiểm tra voucher theo code nhập vào và đưa % giảm giá vào 1 thuộc tính của đơn hàng
    if (vVoucherObj !== ""){
      paramThongTinDatHangObj.giamGia = vVoucherObj.phanTramGiamGia;}
      else paramThongTinDatHangObj.giamGia = 0;
    }
    else paramThongTinDatHangObj.giamGia = 0;
  }

  //check mã giảm giá
  function checkVoucher(paramCode){
      "use strict";
      const vBASE_URL =  "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
      //đọc voucherID từ input
      var vVoucherId = document.getElementById("inp-voucher-id").value.trim();
      // nếu mã giảm giá đã nhập, tạo vXmlHttp request và gửi về server
      var vXmlHttp = new XMLHttpRequest();
      vXmlHttp.open( "GET",  vBASE_URL + vVoucherId, false);
      vXmlHttp.send();
      if(vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
          // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
          console.log("Thông tin voucher: "+ vXmlHttp.responseText);
          var vVoucherObj = JSON.parse(vXmlHttp.responseText); //chuyển thông tin thành voucher object
      } 
      else {
          // không nhận lại được data do vấn đề gì đó: khả năng mã voucher ko dúng
          console.log("Không tìm thấy voucher " + vXmlHttp.responseText); 
          vVoucherObj = "";         
      }
      return vVoucherObj;
    
  }
  //khai báo hàm kiểm tra thông tin đơn hàng
  function validateDataOrder(paramThongTinDatHangObj){
    if (paramThongTinDatHangObj.combo == null){
      alert ("Chưa chọn combo!");
      return false;
    }
    if (paramThongTinDatHangObj.pizza == null){
      alert ("Chưa chọn loại pizza!");
      return false;
    }
    if (paramThongTinDatHangObj.drink == 0){
      alert ("Chưa chọn đồ uống!");
      return false;
    }
    if (paramThongTinDatHangObj.hoVaTen == "" ||
    paramThongTinDatHangObj.email == "" ||
    paramThongTinDatHangObj.phone == "" ||
    paramThongTinDatHangObj.address == ""){
      alert ("Cần điền đầy đủ tên, email, số điện thoại và địa chỉ");
      return false;
    }
    var vEmailCheck = emailValidation(paramThongTinDatHangObj.email);
    if (vEmailCheck == false){
      alert("Email phải chứa ký tự @ và nằm giữa ít nhất 2 ký tự khác");
      return false;
    }
    return true;
  }
  //khai báo hàm kiểm tra email
  function emailValidation(paramEmail){
    if (paramEmail.includes("@",1) == false){
      return false;
    }
    else if (paramEmail.split("@")[1] == ""){
      return false;
    } 
    else return true;
  }

  //khai báo hàm hiển thị thông tin khi kiểm tra order
  function displayData(paramThongTinDatHangObj){
    var vDivContainerOrder = document.getElementById("div-container-order");
    var vDivOrderInfo = document.getElementById("div-order-infor");
    vDivContainerOrder.style.display = "block";
    vDivOrderInfo.innerHTML = "Họ và tên: " + paramThongTinDatHangObj.hoVaTen + "<br>";
    vDivOrderInfo.innerHTML += "Email: " + paramThongTinDatHangObj.email + "<br>";
    vDivOrderInfo.innerHTML += "Điện thoại: " + paramThongTinDatHangObj.phone + "<br>";
    vDivOrderInfo.innerHTML += "Địa chỉ: " + paramThongTinDatHangObj.address + "<br>";
    vDivOrderInfo.innerHTML += "Lời nhắn: " + paramThongTinDatHangObj.message + "<br>";
    vDivOrderInfo.innerHTML += "--------------------------------" + "<br>";
    vDivOrderInfo.innerHTML += "Kích cỡ: " + paramThongTinDatHangObj.combo.comboName + "<br>";
    vDivOrderInfo.innerHTML += "Đường kính: " + paramThongTinDatHangObj.combo.duongKinh + "<br>"; 
    vDivOrderInfo.innerHTML += "Sường nướng: " + paramThongTinDatHangObj.combo.suongNuong + "<br>"; 
    vDivOrderInfo.innerHTML += "Salad: " + paramThongTinDatHangObj.combo.salad + "<br>";
    vDivOrderInfo.innerHTML += "Nước ngọt: " + paramThongTinDatHangObj.combo.nuocNgot + "<br>";
    vDivOrderInfo.innerHTML += "Loại nước uống: " + paramThongTinDatHangObj.drink + "<br>";
    vDivOrderInfo.innerHTML += "--------------------------------" + "<br>";
    vDivOrderInfo.innerHTML += "Loại pizza: " + paramThongTinDatHangObj.pizza + "<br>";
    vDivOrderInfo.innerHTML += "Mã voucher: " + paramThongTinDatHangObj.code + "<br>";
    vDivOrderInfo.innerHTML += "Giá VND: " + paramThongTinDatHangObj.combo.VND + "<br>";
    vDivOrderInfo.innerHTML += "Discount %: " + paramThongTinDatHangObj.giamGia + "%" + "<br>";
    vDivOrderInfo.innerHTML += "Phải thanh toán VND: " + paramThongTinDatHangObj.combo.VND*(1-paramThongTinDatHangObj.giamGia/100) + "<br>";
    }
    function dataReadOrderRequest(paramOrderRequestObj){
      var vSelectS = document.getElementById("btn-select-small");
      var vSelectM = document.getElementById("btn-select-medium");
      var vSelectL = document.getElementById("btn-select-large");
      var vSelectHawai = document.getElementById("btn-select-hawai");
      var vSelectSeafood = document.getElementById("btn-select-hai-san");
      var vSelectBacon = document.getElementById("btn-select-thit-nuong");
      var vSelectedDrink = document.getElementById("select-drink");
      var vNameInput = document.getElementById("inp-fullname");
      var vEmailInput = document.getElementById("inp-email");
      var vPhoneInput = document.getElementById("inp-dien-thoai");
      var vAddressInput = document.getElementById("inp-dia-chi");
      var vMessageInput = document.getElementById("inp-message");
      var vCodeInput = document.getElementById("inp-voucher-id");
        
      if (vSelectS.getAttribute("data-is-selected-menu") == "Y"){
        var vSelectedCombo = getCombo("small","20cm",2,"200g",2,150000);    
      }
      if (vSelectM.getAttribute("data-is-selected-menu") == "Y"){
        var vSelectedCombo = getCombo("medium","25cm",4,"300g",3,200000);
      }
      if (vSelectL.getAttribute("data-is-selected-menu") == "Y"){
        var vSelectedCombo = getCombo("large","30cm",8,"500g",4,250000);
      }
      if (vSelectHawai.getAttribute("data-is-selected-pizza") == "Y"){
        var vSelectedPizza = gHAWAI;
      }
      if (vSelectSeafood.getAttribute("data-is-selected-pizza") == "Y"){
        var vSelectedPizza = gHAI_SAN;
      }
      if (vSelectBacon.getAttribute("data-is-selected-pizza") == "Y"){
        var vSelectedPizza = gTHIT_NUONG;
      }
      paramOrderRequestObj.kichCo = vSelectedCombo.comboName;
      paramOrderRequestObj.duongKinh = vSelectedCombo.duongKinh;
      paramOrderRequestObj.suon = vSelectedCombo.suongNuong;
      paramOrderRequestObj.salad = vSelectedCombo.salad;
      paramOrderRequestObj.loaiPizza = vSelectedPizza;
      paramOrderRequestObj.idVourcher = vCodeInput.value;
      paramOrderRequestObj.idLoaiNuocUong = vSelectedDrink.value;
      paramOrderRequestObj.soLuongNuoc = vSelectedCombo.nuocNgot;
      paramOrderRequestObj.hoTen = vNameInput.value;
      paramOrderRequestObj.thanhTien = vSelectedCombo.VND;
      paramOrderRequestObj.email = vEmailInput.value;
      paramOrderRequestObj.soDienThoai = vPhoneInput.value;
      paramOrderRequestObj.diaChi = vAddressInput.value;
      paramOrderRequestObj.loiNhan = vMessageInput.value;
        
    }
      
    //khai báo Api create order
    function goiApiCreateOrder(paramOrderObj,paramXmlHttp){
      const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
      paramXmlHttp.open("POST", vBASE_URL, true);
      paramXmlHttp.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
      paramXmlHttp.send(JSON.stringify(paramOrderObj));
    }
    //Task 27.80 khai báo hàm hiển thị order đã tạo và lời cảm ơn
    function displayCreatedOrder(paramXmlHttp){
      var vCreatedOrder = paramXmlHttp.responseText;
      console.log(vCreatedOrder);
      var vOrderObj = JSON.parse(paramXmlHttp.responseText);
      //tạo biến để chứa order code và id
      var vOrderCode = vOrderObj.orderCode;
      var vOrderId = vOrderObj.id;      
      //ghi order code vào phần cảm ơn kèm mã đơn
      var vDivContainerThankYou = $("#div-container-thank-you");
      var vOrderCodeOutput = $("#order-code-output");
      vDivContainerThankYou.show();
      vOrderCodeOutput.html(vOrderCode);
      var vDivContainerOrder = $("#div-container-order");
      vDivContainerOrder.hide();
      //ghi order code và id vào data set của nút Detail
      var vBtnDetail = document.getElementById("btn-order-data");
      vBtnDetail.setAttribute("order-code", vOrderCode);
      vBtnDetail.setAttribute("id", vOrderId);
    }

  //Task27.90 menu theo dõi chi tiết đơn hàng
  function onNavOrderDetailClick(vBtnDetail){
    //lấy giá trị attribute đã gán cho nút vBtnDetail
    var vOrderCode = vBtnDetail.getAttribute("order-code");
    var vId = vBtnDetail.getAttribute("id");
    
    console.log("Order Id: " + vId);
    console.log("Order Code: " + vOrderCode);
    //gọi form orderDetail hiển thị chi tiết order
    const vDETAIL_FORM_URL = "orderDetailClient.html";
    var vUrlSiteToOpen = vDETAIL_FORM_URL + "?" +
    "id=" + vId +
    "&orderCode=" + vOrderCode;
    window.location.href = vUrlSiteToOpen;
  }


</script>

</html>